%bcond_without check

%global debug_package %{nil}

%global goipath         github.com/zyedidia/clipper
Version:                0.1.0

%gometa

%global common_description %{expand:
Cross-platform clipboard access in Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Cross-platform clipboard access in Go
License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
rm winapi.go LICENSE-EXTRA

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
